/*
Theme Name: OceanWP Child Theme
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme. Sample child theme.
Author: OceanWP
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

/* Enter Your Custom CSS Here */


/** General formatting **/
p {
    margin: 10px 0 0 10px;
}

table {
    width: 100%;
    margin-bottom: 20px;
}

/** Topbar **/ 
.elementor-element.elementor-element-9159c60 .elementor-element-populated a {
    font-family: "Trebuchet MS", Sans-serif;
    font-size: 14px;
}
.elementor-element.elementor-element-9159c60 .elementor-element-populated a { 
    font-family: "Trebuchet MS", Sans-serif;
    font-size: 14px;
}


	

/** Logo **/ 
#site-logo #site-logo-inner a img {
	float: left;
}




/** 
 * Topbar - Custom Menu Manual 
 * */

/* H_Divider height */
.elementor-136616 .elementor-element.elementor-element-5fe6335 > .elementor-widget-container {
    line-height: 18px;
}
.elementor-136616 .elementor-element.elementor-element-250cf62 > .elementor-widget-container {
    line-height: 18px;
}


/* Custom for Mobile */
@media (max-width: 430px) {
.elementor-136616 .elementor-element.elementor-element-eb158ee > .elementor-widget-container {
    line-height: 16px;
	}
.elementor-136616 .elementor-element.elementor-element-02c2eec > .elementor-widget-container {
    line-height: 16px;
	}
}


/** TOPBAR 
 * Custom for Desktop */
#top-bar-sticky-wrapper,
#top-bar-wrap,
#top-bar-inner {
   min-height: 50px !important;
	 height : 50px !important;
}

/*#top-bar-inner .dashicons {
	margin-right: 5px;
	vertical-align: middle;
}*/

/** TOPBAR Height
 * Custom for Tablet */
@media (max-width: 1024px) {
		#top-bar-sticky-wrapper,
		#top-bar-wrap,
		#top-bar-inner {
        min-height: 50px !important;
				height : 50px !important;
		}
}

/** TOPBAR Height
 * Custom for Mobile */
@media (max-width: 430px) {
    #top-bar-sticky-wrapper,
    #top-bar-wrap,
    #top-bar-inner {
        min-height: 70px !important;
        height: 70px !important;
		}
	  #top-bar-inner {
        display: flex;
        flex-wrap: nowrap;
        align-items: center;
        /* justify-content: center;*/
        align-content: center;
        flex-direction: column;
    }

}	

/** Topbar Width **/
#top-bar .top-bar-left {
    width: 50%;
}


/* Custom for Mobile */
@media (max-width: 430px) {
	#top-bar .top-bar-left {
   	width: 100%;
	 	padding-bottom: 5px;
	}
	#top-bar .top-bar-right {
    width: 100%;
		padding-bottom: 5px;
	}
}

#Top-bar {
	Padding: 10px 0;
}

/* Custom for Mobile */
@media (max-width: 430px) {
	#Top-bar {
	Padding: 10px 0;
	}
}


/* OWP Popup Login -- Formatting of the form */
#opl-login-form .input-wrap .input-lg:focus~.opl-label, #opl-login-form .input-wrap .input-lg:valid~.opl-label {
    font-size: 24px !important;
	
}

#opl-login-form .input-wrap .opl-label {
	font-size: 20px !important;	

}

#opl-login-form .input-wrap .input-lg {
	height: 50px !important;
	font-size: 20px !important;
	padding-top: 20px !important;
	padding-bottom: 20px !important;
}





/* OWP Popup Login -- Entry Field Line formatting */
#opl-login-form .input-wrap .opl-line {
	background-color: rgba(0,0,0,.12);
	bottom: 0px;
}

#opl-login-form .input-wrap .opl-focus-line {
    background-color: #13aff0;
    bottom: 0px;
}
 
@media (max-width: 430px) /*Mobile view*/ {
	#opl-login-form .input-wrap .opl-line {
	background-color: rgba(0,0,0,.12);
	bottom: 0px;
	}
	#opl-login-form .input-wrap .opl-focus-line {
    background-color: #13aff0;
    bottom: 0;
	}
}


/** Popup Login and WC My-account login/register - Nextend NSL FB Login Button */ 

.oceanwp-loginform-wrap #nsl-custom-login-form-1 .nsl-container {
    display: none;
    margin-top: 20px;
    margin-left: 32%;
}

@media (max-width: 430px) {
.oceanwp-loginform-wrap #nsl-custom-login-form-1 .nsl-container {
    display: none;
    margin-top: 20px;
    margin-left: 20px;
	}
}

div.nsl-container-block .nsl-container-buttons a {
	margin: 16px;
} 

div.nsl-container svg {
    height: 20px;
    width: 20px;
    vertical-align: top;
}

div.nsl-container .nsl-button-default div.nsl-button-label-container {
	font-size: 14px;
	margin: 0 10px;
}	

div.nsl-container .nsl-button {
    vertical-align: top;
    border-radius: 20px !important;
} 


div.nsl-container .nsl-button-default {
    color: #fff;
    display: flex;
    border-radius: 20px;
	padding : 0 8px;
}



#opl-login-form .opl-login-wrap div.nsl-container.nsl-container-block .nsl-container-buttons {  /* Popup login */
    display: inline-grid;
    grid-template-columns: minmax(145px, auto);
    width: 100% !important;
}

/** Popup Login - Submit Button */
#opl-login-form .opl-button {
	border-radius: 20px;
	padding: 12px;
}




/**
 *  TOPBAR : Nextend Social Login - Register Flow Page -- Styling 
 * **/

.page-id-143832 #registerform {
	width: 60%;
	margin: 10px 20%;
}
.page-id-143832 #registerform > p:nth-child(2), .page-id-143832 #registerform > p:nth-child(3) {
    width: 46%;
    float: left;
}
.page-id-143832 #registerform > p:nth-child(2) {
    margin-right: 8%;
}

.page-id-143832 #registerform .wp-pwd input#pass1 {
    width: 76%;
    margin-right: 8%;
	  margin-bottom: 10px;
    float: left;
}
.page-id-143832 #registerform .wp-pwd .button-secondary.wp-hide-pw {
    width: 16%;
    float: right;
    margin-top: 0;
	  margin-bottom: 10px;
}


/* Custom for Mobile */
@media (max-width: 430px) {
	.page-id-143832 #registerform {
	width: 90%;
	margin: 10px 20px;
  }
	.page-id-143832 #registerform > p:nth-child(2), .page-id-143832 #registerform > p:nth-child(3) {
    width: 100%;
    float: left;
	}
	.page-id-143832 #registerform > p:nth-child(2) {
    margin-right: 0;
	}

	.page-id-143832 #registerform .wp-pwd input#pass1 {
    width: 80%;
    margin-right: 10px;
	  margin-bottom: 10px;
    float: left;
	}
	.page-id-143832 #registerform .wp-pwd .button-secondary.wp-hide-pw {
    width: 14%;
    float: right;
    margin-top: 0;
	  margin-bottom: 10px;
	}

	.page-id-143832 #registerform .dashicons, .dashicons-before:before  {
	  margin-left: -7px;
	}
}


	




/** WC My-Account - Customisation 
 * Remove Direct Registration 
 * Remove The other content below new Reg button
 * 
.woocommerce-form-register p {
    display: none;
} */

/**
 *  WC MY-Account 
 *  */

/* Login button */
.woocommerce button.button {
    padding: 12px 20px;
    width: 100%;
    border-radius: 20px;
}

button[type=submit], .button {
    margin-top: 20px;
    width: 100%;
    border-radius: 20px;
}


/** 
 * Custom Login Form  - Social Login
 * */
div.nsl-container .nsl-button-default { 
    color: #fff;
    border-radius: 20px;
}

/** WC My Account : Register side 
 * 
/* New Reg button 

.bb-register-description-notes {
	margin-top: 20px;
	font-weight : bold;
}

.reg_btn_box {
    display: inline-block;
    font-family: inherit;
    background-color: #13aff0;
    color: #fff;
    font-size: 12px;
    font-weight: 600;
    text-transform: uppercase;
    margin: 65px 0 50px 0;
    padding: 12px 20px;
    border: 0;
	  border-radius: 20px;
    cursor: pointer;
    text-align: center;
    letter-spacing: .1em;
    line-height: 1;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -ms-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
	  width: 100%; 
}
.reg_btn_box:hover {
    background-color: #0b7cac;
}
.reg_btn_box a.reg_btn {
    color: #fff;
}
**/


/* WC Checkout form and other forms -- field boxes */
form input[type="text"], form input[type="password"], form input[type="email"], form input[type="url"], form input[type="date"], form input[type="month"], form input[type="time"], form input[type="datetime"], form input[type="datetime-local"], form input[type="week"], form input[type="number"], form input[type="search"], form input[type="tel"], form input[type="color"], form select, form textarea, .select2-container .select2-choice, .woocommerce .woocommerce-checkout .select2-container--default .select2-selection--single {
    border: 1px;
    border-color: steelblue !important;
    border-style: outset !important;
	
}



/* Login Page - FB Login Button */ 
#nsl-custom-login-form-1 .nsl-container-embedded-login-layout-below {
    clear: both;
    padding: 10px 0 0;
    text-align: center;
}







/** WC Archives - Remove Sidebar for Mobile Devices **/ 


/* Regular Price Del */
.woocommerce ul.products li.product .price del .amount {
    color: #BDBDBD;
    font-size: 16px;
    text-decoration: line-through;
}

.woocommerce ul.products li.product .price ins {
    display: inline-block;
    font-weight: 700;
    color: #FF0000;
}

@media (max-width: 1024px) {
 .content-left-sidebar .widget-area {
     display: none;
	}
}


/** WC - Single Product Page **/

/* Brand Before Product Title */ 
.yith-wcbr-brands-logo {
    display: block;
    margin-top: 20px;
	margin-bottom: 20px; 
}

/* Product Title */
.woocommerce div.product div.summary .product_title {
    width: 80%;
	display: block;
	font-size: 20px !important;
	border-bottom: none !important;
	padding-bottom: 10px !important;
}

@media (max-width: 430px) {
	.woocommerce div.product div.summary .product_title {
	font-size: 16px !important;
	}
}

/* Product Short Desc */ 
.woocommerce div.product div.woocommerce-product-details__short-description {
    margin-top: 20px;
    margin-bottom: 20px;
    font-size: 16px;
	border-bottom: 1px solid #eaeaea;
}

.woocommerce div.product div.woocommerce-product-details__short-description p:last-child {
    margin: 10px !important;
    padding-bottom: 20px;
}
	
/* Short Description (Summary) and Product Description Tab */
.woocommerce .summary ul, .woocommerce #tab-description ul {
    list-style: disc;
    margin: 0 0 0 20px !important;
}



/** Stock Availability **/

/** In Stock **/
.woocommerce div.product p.stock {
    font-size: 16px;
    margin: 0;
    font-weight: 700;
    color: #fe5252;
}

.woocommerce div.product div.summary p.in-stock {
    margin-top: 20px;
	margin-bottom: 20px;
    color: #40B5AD /* Verdigris */;  /* #77a464 -- Green */
}

/** Out of Stock **/
.woocommerce div.product div.summary p.out-of-stock  {
    font-size: 16px;
    margin: 20px 0;
    font-weight: 700;
    color: #fe5252;
}

/* Discontinued **/
div.discontinued_status_message {
	font-weight: 900; 
	color: red; 
	font-size: 22px;
}


/** Product Code - POS Item No. */ 
 *.product_meta .wo_productcode span {
    display: inline-block !important;
}

.product_meta .wo_productcode span:not(.stl_codenum) {
    color: #333 !important;
    font-weight: 600 !important;
}

/* Product -- DT variation - POS Item no and Warranty */

.woocommerce td.product-name dl.variation dt {  /* Labels */
    font-weight: 600;
    color: #1890ff;
    padding-bottom: 0;
    font-size: 16px;
}

.woocommerce td.product-name dl.variation dd { /* Variation value */
    margin-bottom: 0;
    padding-bottom: 0;
    color: #1890ff;
}


/** Woocommerce Checkout Page **/

/* - Login page */

.woocommerce-checkout #nsl-custom-login-form-1 .nsl-container {
    display: none;
    margin-top: 20px;
    margin-left: 22%;
}

@media (max-width: 430px) {
.woocommerce-checkout #nsl-custom-login-form-1 .nsl-container {
    display: none;
    margin-top: 20px;
    margin-left: 2% !important; 
	}
}

/** Checkout Page - Form Width **/



@media only screen and (min-width: 960px)
.content-area, .content-left-sidebar .content-area {
    width: 100% !important;
}

/** Checkout page -- Customer Details (Left)**/

.woocommerce-checkout>.col2-set {
    float: left;
    width: 36% !important;
}


/** Checkout page -- Order Review (Right) **/
.woocommerce-checkout h3#order_review_heading, .woocommerce-checkout #order_review {
    float: right;
    width: 60% !important;
}

/* Checkout - Names */

.woocommerce .form-row-first {
    float: left;
    width: 48% !important;
	margin-right: 2% !important;
}
.woocommerce .form-row-last {
    float: right;
    width: 44% !important;
}

/* All fields - spacing between fields */
.woocommerce form .form-row { 
    padding: 10px 0 !important;
}


/** Final Place Order Notes  **/ 
.woocommerce-checkout .form-row.place-order {
    margin: 10px;
}

/** Place order terms section  **/ 
.woocommerce-checkout .form-row.place-order {
    margin: 10px !important;
}
.woocommerce-terms-and-conditions-wrapper { 
  margin: -10px;
}

/** 
 * OWP Footer 
 * **/ 

/* Footer - Full Width */
#footer-widgets .container {
    width: 100%;
    max-width: 100%;
}


/* Menu : My Account -- Custom - When User is Logged out */
.oew-login-link .oew-login-ul li.menu-item:before {
    content: "\f0a9";
    font-family: "Font Awesome 5 Free";
    font-weight: 800; 
		font-size: 11px;
}

.oew-login-link .oew-login-ul li.menu-item {
    float: left;
    display: flex;
    align-items: center;
    font-size: 14px;
}

#footer .oew-login-link .oew-login-ul {
    display: inline-grid;
}




/* fixing the extra horizontal scroll - related to google recaptcha */ 
body {
    overflow-x: hidden;
}




/**
 *  Product Images : Sales Badge position 
 * */
.woocommerce span.onsale {
  position: absolute;
  top: 0;
  left: 0;
	font-size: 18px;
	padding: 12px;
	border-radius: 6px;
	font-family: cursive;
	font-weight: bold;
}

@media (max-width: 430px) {
	.woocommerce span.onsale {
    left: 0 !important;
		font-size: 14px;
	}
	.woocommerce .has-product-nav span.onsale {
    top: 0rem !important;
	}
}

@media only screen and (max-width: 1080px) {
	.woocommerce span.onsale {
    left: 0 !important;
		font-size: 16px;
	}
	.woocommerce .has-product-nav span.onsale {
    top: 0rem;
	}
}



/* WC Product Archives - Category Tag */
.woocommerce ul.products li.product:not(.product-category) .product-inner li.title, .woocommerce ul.products li.product:not(.product-category) .product-inner li:first-child {
    margin-top: 10px;
}


/* Call to Action -- 4x Banner below Slider - Button */ 
.oew-cta .oew-cta-btn a {
    padding: 14px 30px;
    font-size: 14px;
    width: auto;
}

/* Single Product - ATC button margins */
button[type=submit], .button {
	margin-top: 20px;
}

/* Cart - Formatting */
.product-name p {
	margin-top: 10px;
	font-weight: bold;
	font-size : 16px;
}
.product-name a {
	font-size : 18px;
}



/** Change Woo-entry-buttons Shape **/
.woocommerce ul.products li.product:not(.product-category) .woo-entry-buttons li a {
    display: inline-block;
    font-size: 18px;
    font-weight: 400;
    width: 40px;
    height: 40px;
    line-height: 40px;
    background-color: #fff;
    color: #444;
    text-align: center;
    border-radius: 20%;

}

/** Fluent forms  **/
.fluentform .ff-el-group div.nsl-container .nsl-container-buttons {
    display: flex;
    padding: 5px 0;
    text-align: center;
}


.fluentform_wrapper_4 .ff_submit_btn_wrapper .ff-btn-submit:not(.ff_btn_no_style) {
    border-style: solid;
    border-radius: 30px !important;
}



